Auth
Sign up with email
Creates a new user account with email and password
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/auth/sign-up" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "password": "S3cure-passw0rd" }'{ "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...", "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...", "expiresIn": "15m", "user": { "id": "string", "email": "string" }}Empty